AOWP_FieldGetPointcut (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.aspect.pointcut.designators /.AOWP_FieldGetPointcut
/aspect/pointcut/designators/FieldGetPointcut.class.php at line 22

# Class AOWP_FieldGetPointcut

    AOWP_Pointcut
        └─AOWP_FieldGetPointcut

public class AOWP_FieldGetPointcut
extends AOWP_Pointcut

現在、サポートされていません (ver. 0.8)。 次期リリース予定です。 この記述子は、 `echo $object->field` のような、フィールド参照を選択します。 `echo $object->$fieldName` のような、可変変数を用いたフィールド参照は、無視します。

Field Summary
private mixed | $_className
private mixed | $_fieldName

Fields inherited from aowp.aspect.pointcut.AOWP_Pointcut
_advice, _notFlag

Constructor Summary
AOWP_FieldGetPointcut(string className, string fieldName)

Method Summary
protected void | _isJoinPointShadow(mixed joinPoint)
protected void | _runtimeMatch(mixed joinPoint)

Methods inherited from aowp.aspect.pointcut.AOWP_Pointcut
__clone, _getAspectInstance, _isJoinPointShadow, _runtimeMatch, isHavePointcut, isJoinPointShadow, isNot, opAnd, opNot, opOr, patternMatch, runtimeMatch, setAdvice

## Field Detail

/aspect/pointcut/designators/FieldGetPointcut.class.php at line 23

### _className

`private mixed $_className`

/aspect/pointcut/designators/FieldGetPointcut.class.php at line 24

### _fieldName

`private mixed $_fieldName`

## Constructor Detail

/aspect/pointcut/designators/FieldGetPointcut.class.php at line 31

### AOWP_FieldGetPointcut

`public AOWP_FieldGetPointcut(string className, string fieldName)`

Parameters:
  className - クラス名
  fieldName - フィールド名

## Method Detail

/aspect/pointcut/designators/FieldGetPointcut.class.php at line 37

### _isJoinPointShadow

`protected void _isJoinPointShadow(mixed joinPoint)`

/aspect/pointcut/designators/FieldGetPointcut.class.php at line 42

### _runtimeMatch

`protected void _runtimeMatch(mixed joinPoint)`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr